2

I would like to use the new ST_TileEnvelope() function from PostGIS 3.0. My current version is 2.4.4.

I would like to update to PostGIS 3.0 in pgAdmin. Is this possible?

I have tried ALTER EXTENSION postgis UPDATE TO '3.0.0';

This returns the error...

ERROR:  extension "postgis" has no update path from version "2.4.4" to version "3.0.0"

I am on Windows 10.

I initially installed our older version of postGIS (2.4.4) with no postGIS file on my computer. Nevertheless, I downloaded postgis-3.0.0 and I can now find this folder in the Windows File Explorer. enter image description here

8
  • 2
  • 3
    Before executing any SQL command, you need the package on your computer and you didn't tell us your OS. The SQL command you mentioned is just picking what is available on your file system. – etrimaille Oct 24 '19 at 6:55
  • @etrimaille Okay, I updated the question with these details. – GNG Oct 24 '19 at 7:16
  • 2
    In your file browser, we can read that your folder is called postgis-3.0.0alpha1. You don't want a alpha version, and as you can notice, the Date modified is from 26 May 2019 in your file browser, which match with postgis.net/2019/05/26/postgis-3.0.0alpha1. PLease be sure to download the Postgis 3.0.0. Then you should follow the Windows way to install postgis. – etrimaille Oct 24 '19 at 13:22
  • 1
    @GNG now that's one hell of a piece of missing information...as you seem to have found out, Amazon RDS has a range of supported versions and will likely not include a new major version before the first few minor version updates. pgAdmin is nothing more than a client, don't confuse it with anything DB server related. – geozelot Oct 24 '19 at 20:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.